﻿using System;
using System.Collections.Generic;
using System.Text;
using Terralever.Facebook.UI.Design;
using System.ComponentModel;

namespace Terralever.Facebook.UI.FbmlControls
{
    /// <summary>
    /// Represents common functionality for buttons represented in FBML.
    /// </summary>
    [Designer("Terralever.Facebook.UI.Design.FbmlControls.FbmlButtonDesigner, " + Constants.DESIGNER_LIB)]
    [DefaultProperty("Text")]
    public abstract class FbmlButtonBase : FbmlControl
    {
        /// <summary>
        /// Gets or sets the label that should be displayed on the button face.
        /// </summary>
        [FbmlRequired(IsRequired = true)]
        [Browsable(true)]
        [DefaultValue(null)]
        [Category(FbmlConstants.FBML_REQD_ATTR)]
        [Description("Specifies the text that should be displayed on the button.")]
        public string Text
        {
            get;
            set;
        }

        /// <inheritdoc />
        protected override void AddAttributesToRender(System.Web.UI.HtmlTextWriter writer)
        {
            if (string.IsNullOrEmpty(Text))
                throw new RequiredFbmlAttributeNotSetException("Text", Text);

            base.AddAttributesToRender(writer);

            writer.AddAttribute("label", Text, true);
        }
    }
}
