﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Terralever.Facebook.UI.FbmlControls
{
    /// <summary>
    /// Specifies the account security setting types used in the <see>IfCanSee</see> control.
    /// </summary>
    public enum UserProfilePrivacySetting
    {
        /// <summary>
        /// Specifies that the user may be found in a search.
        /// </summary>
        Search,
        /// <summary>
        /// Specifies the user's profile.
        /// </summary>
        Profile,
        /// <summary>
        /// Specifies the user's friends.
        /// </summary>
        Friends,
        /// <summary>
        /// Specifies all of the user's profile.
        /// </summary>
        NotLimited,
        /// <summary>
        /// Specifies the user's online status.
        /// </summary>
        Online,
        /// <summary>
        /// Specifies the user's status.
        /// </summary>
        StatusUpdates,
        /// <summary>
        /// Specifies the user's wall.
        /// </summary>
        Wall,
        /// <summary>
        /// Specifies the user's groups.
        /// </summary>
        Groups,
        /// <summary>
        /// Specifies the user's photos.
        /// </summary>
        PhotosOfMe,
        /// <summary>
        /// Specifies the user's notes.
        /// </summary>
        Notes,
        /// <summary>
        /// Specifies the user's feed.
        /// </summary>
        Feed,
        /// <summary>
        /// Specifiec the contact info part of the profile.
        /// </summary>
        Contact,
        /// <summary>
        /// Specifies the email part of the profile.
        /// </summary>
        Email,
        /// <summary>
        /// Specifies the instant messaging part of the profile.
        /// </summary>
        AIM,
        /// <summary>
        /// Specifies the cellular phone part of the profile.
        /// </summary>
        Cell,
        /// <summary>
        /// Specifies the phone part of the profile.
        /// </summary>
        Phone,
        /// <summary>
        /// Specifies the mailbox part of the profile.
        /// </summary>
        Mailbox,
        /// <summary>
        /// Specifies the address information part of the profile.
        /// </summary>
        Address,
        /// <summary>
        /// Specifies the basic profile.
        /// </summary>
        Basic,
        /// <summary>
        /// Specifies the education information part of the profile.
        /// </summary>
        Education,
        /// <summary>
        /// Specifies the professional information part of the profile.
        /// </summary>
        Professional,
        /// <summary>
        /// Specifies the personal information part of the profile.
        /// </summary>
        Personal,
        /// <summary>
        /// Specifies the seasonal part of the profile.
        /// </summary>
        Seasonal,
    }
}
