﻿using System;
using System.Text;
using System.Collections.Generic;

using Microsoft.VisualStudio.TestTools.UnitTesting;
using Terralever.Facebook.UI.FbmlControls;
using Terralever.Facebook.UI;

namespace ControlRenderTests
{
    /// <summary>
    /// Summary description for UnitTest1
    /// </summary>
    [TestClass]
    public class UnitTest1
    {
        public UnitTest1()
        {
            //
            // TODO: Add constructor logic here
            //
        }

        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        //
        // You can use the following additional attributes as you write your tests:
        //
        // Use ClassInitialize to run code before running the first test in the class
        // [ClassInitialize()]
        // public static void MyClassInitialize(TestContext testContext) { }
        //
        // Use ClassCleanup to run code after all tests in a class have run
        // [ClassCleanup()]
        // public static void MyClassCleanup() { }
        //
        // Use TestInitialize to run code before running each test 
        // [TestInitialize()]
        // public void MyTestInitialize() { }
        //
        // Use TestCleanup to run code after each test has run
        // [TestCleanup()]
        // public void MyTestCleanup() { }
        //
        #endregion

        [TestMethod]
        public void TestFbName()
        {
            Name nameControl = new Name();
            try
            {
                ControlRenderer.Render(nameControl);
            }
            catch (RequiredFbmlAttributeNotSetException nse)
            {
                Assert.AreEqual("FbUserID", nse.PropertyName, "Not set FbUserID exception - invalid property name on exception.");
            }
            nameControl.FbUserID = 103309946;
            Assert.AreEqual(@"<fb:name uid=""103309946"" />", ControlRenderer.Render(nameControl));

            nameControl.FirstNameOnly = true;
            Assert.AreEqual(@"<fb:name uid=""103309946"" firstnameonly=""true"" />", ControlRenderer.Render(nameControl));

            nameControl.UseXfbmlSemantics = true;
            Assert.AreEqual(@"<fb:name uid=""103309946"" firstnameonly=""true""></fb:name>", ControlRenderer.Render(nameControl));
        }
    }
}
